<?php

/**
 * 代币相关
 */
class TokenController extends BaseController {

    protected $ajaxLoginActions = [

    ];

    public function __construct() {
        parent::__construct(false);
    }

    /**
     * EOS充值接口
     * @author benzhan
     * @param $args
     * @return array
     */
    public function actionEosDepositTrx($args) {
        $rules = [
            'transaction_id' => ['string', 'desc' => '充值交易id'],
        ];
        Param::checkParam2($rules, $args);

        // 同步转账表，匹配到同步下来的transaction_id就算成功

    }


    /**
     * EOS提现接口
     * @author benzhan
     * @param $args
     * @return array
     */
    public function actionEosWithdraw($args) {
        $rules = [
            'transaction_id' => ['string', 'desc' => '充值交易id'],
            'block_num' => ['int', 'desc' => '区块id'],
        ];
        Param::checkParam2($rules, $args);

    }

}